=== debian/control ===
Source: iputils
Section: net
Priority: extra
Maintainer: Noah Meyerhans <noahm@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 7), opensp, sgmlspl, docbook, libcap-dev, libgnutls-openssl-dev, libidn11-dev, bash (>= 3)
Vcs-Git: https://anonscm.debian.org/git/collab-maint/iputils.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/iputils.git

Package: iputils-ping
Architecture: any
Provides: ping
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcap2-bin
Description: Tools to test the reachability of network hosts
 The ping command sends ICMP ECHO_REQUEST packets to a host in order to
 test if the host is reachable via the network.
 .
 This package includes a ping6 utility which supports IPv6 network
 connections.
 
Package: iputils-tracepath
Architecture: any
Suggests: traceroute
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tools to trace the network path to a remote host
 The tracepath utility is similar to the traceroute utility, but also
 attempts to discover the MTU of the path. Supports IPv4 and IPv6.

Package: iputils-arping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcap2-bin
Conflicts: arping
Description: Tool to send ICMP echo requests to an ARP address
 The arping command acts like the standard ping command except it pings
 a machine by its ARP address instead of its IP address.  It is typically
 used to locate a machine if its hardware address is known but its IP
 address is unknown

Package: iputils-clockdiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Measure the time difference between networked computers
 Clockdiff computes the difference between the time of the machine on
 which it is called and the time of other network-accessible machines.
 The time differences measured by clockdiff are obtained using a
 sequence of ICMP TSTAMP messages which are returned to the sender by
 the IP module in the remote machine.
