## iputils 20180629

=== debian/changelog ===
iputils (3:20180629-2ubuntu2) disco; urgency=medium

  * Drop setuid bits in favor of capabilities, now that we can rely on fscap
    support everywhere including in lxd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Dec 2018 09:08:19 +0200

iputils (3:20180629-2ubuntu1) cosmic; urgency=medium

  * Backport buildfix from Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Aug 2018 10:25:07 +0200

iputils (3:20180629-2) unstable; urgency=medium

  * Upstream no longer maintains the RELNOTES or README files in a useful
    way, so we won't install them. (Closes: #904912)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 03 Aug 2018 09:53:09 -0700

iputils (3:20180629-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Support cross-building
    - Mark ping and ping6, arping, tracepath, and clockdiff setuid again as
      there's currently no good way to have capabilities be kept in all our
      images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Jul 2018 10:23:25 -0400

iputils (3:20180629-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #858272, #898978, #477569, #883982)
  * Update build deps to reflect changes to documentation generation
    process.
  * Update Vcs links in debian/control to reflect the salsa migration.
  * Update standards version to 4.1.4
  * Change Priority: extra to Priority: optional per policy 4.0.1

 -- Noah Meyerhans <noahm@debian.org>  Fri, 29 Jun 2018 22:03:19 -0700

iputils (3:20161105-1ubuntu2) zesty; urgency=medium

  * Build-depend on sgmlspl without the :any, since this is now an Arch: all
    package.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Mar 2017 14:42:04 -0800

iputils (3:20161105-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.
  * Fixes ping -I support.  LP: #1646956.
  * Remaining changes:
    - Support cross-building
    - Mark ping and ping6, arping, tracepath, and clockdiff setuid again as
      there's currently no good way to have capabilities be kept in all our
      images.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 20 Feb 2017 15:12:52 -0800

iputils (3:20150815-2ubuntu3) yakkety; urgency=medium

  * Apply same setcap/chmod fix to arping, tracepath, and clockdiff.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Jun 2016 05:00:31 -0600

iputils (3:20150815-2ubuntu2) yakkety; urgency=medium

  * Fix brain-o in previous upload that dropped the actual 'chmod' call.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jun 2016 10:20:03 +0300

iputils (3:20150815-2ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable (LP: #1592425).  Remaining changes:
    - Support cross-building
    - Mark ping and ping6 setuid again as there's currently no good ways
      to have capabilities be kept in all our images.
  * Build-Depend on sgmlspl:any for improved automated cross-build support.

 -- Dave Chiluk <chiluk@ubuntu.com>  Tue, 01 Mar 2016 22:11:11 +0000

iputils (3:20121221-5ubuntu2) utopic; urgency=medium

  * Mark ping and ping6 setuid again as there's currently no good ways
    to have capabilities be kept in all our images. (LP: #1302192)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 07 May 2014 14:42:28 -0500

iputils (3:20121221-5ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Support cross-building.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Apr 2014 16:58:55 +0200

iputils (3:20121221-4ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Support cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Jan 2014 14:27:35 +0000

iputils (3:20121221-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Support cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 May 2013 15:39:45 +0100

iputils (3:20101006-3ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Support cross-building.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 17:01:45 +0100
