=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: iputils
 Section: net
 Priority: extra
-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 7), opensp, sgmlspl, docbook, libcap-dev, libgnutls-openssl-dev, libidn11-dev, bash (>= 3)
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/iputils.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/iputils.git
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 7), xsltproc, docbook-xsl, libcap-dev, libgnutls-openssl-dev, libidn11-dev, bash (>= 3)
+Vcs-Git: https://salsa.debian.org/debian/iputils.git
+Vcs-Browser: https://salsa.debian.org/debian/iputils
 
 Package: iputils-ping
 Architecture: any
@@ -23,7 +24,6 @@
 Package: iputils-tracepath
 Architecture: any
 Suggests: traceroute
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Tools to trace the network path to a remote host
  The tracepath utility is similar to the traceroute utility, but also
