## iputils 20190515

=== debian/changelog ===
iputils (3:20190515-2) unstable; urgency=medium

  * Import upstream fix for FTBFS issue when setcap is not
    installed. (Closes: #931491)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 07 Jul 2019 11:21:17 -0700

iputils (3:20190515-1) sid; urgency=medium

  * New upstream snapshot (Closes: #907327, #869202, #869202)
  * Refresh and modernize debian/rules using dh (Closes: #648033, #928334)
  * Set Multi-Arch: foreign on all binary packages (Closes: #878100)
  * Raise libcap2-bin from Recommends to Depends (Closes: #780721)
  * Update to standards version 4.3.0

 -- Noah Meyerhans <noahm@debian.org>  Fri, 05 Jul 2019 15:49:21 -0700
