=== debian/changelog ===
iputils (3:20190709-3ubuntu1) focal; urgency=medium

  * debian/patches/git_revert_strict_pattern_matching.patch:
    - cherrypick of an upstream revert of a buggy commit which was leading
      to incorrect ping statistics on truncated packets (lp: #1964506)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Sep 2022 21:06:15 +0200

iputils (3:20190709-3) unstable; urgency=medium

  * Incorporate upstream fix for getaddrinfo handling. Thanks to Benjamin
  * Poirier <benjamin.poirier@gmail.com>
    (Closes: #947921)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 30 Jan 2020 15:11:23 -0800

iputils (3:20190709-2) unstable; urgency=medium

  * Incorporate upstream fix for arping exit code regression
    (Closes: #936080)
  * Follow local file diversions when manipulating ACLs and file modes on
    installed binaries.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 05 Oct 2019 07:34:12 -0700

iputils (3:20190709-1) unstable; urgency=medium

  * New upstream release
  * Update to standards version 4.4.0 (no changes needed)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 09 Jul 2019 21:06:58 -0700
