=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 4.3.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev,
   libgcrypt-dev, libidn11-dev, bash (>= 3), meson
