=== debian/changelog ===
iputils (3:20200821-2) unstable; urgency=medium

  * Add pkg-config to build-depends to actually enable IDN support
    (Closes: #932700)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 23 Aug 2020 12:08:50 -0700

iputils (3:20200821-1) unstable; urgency=medium

  * New upstream version (Closes: #498429, #935946)
  * Fix IDN build dependency. (Closes: #959868)
  * Update standards compliance to 4.5.0 (no changes needed)
  * Switch to debhelper compat level 13
  * Install upstream's CHANGES file in binary packages
  * Let dh_auto_configure pass a crossfile to meson (Closes: #962080)
  * Package metadata updates:
    - Add repository and bug tracker details to debian/upstream/metadata
    - Add Homepage field to debian/control

 -- Noah Meyerhans <noahm@debian.org>  Sat, 22 Aug 2020 14:13:21 -0700
