=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 	dh $@ --buildsystem=meson+ninja --builddirectory=$(BUILD_DIR)
 
 override_dh_auto_configure:
-	meson $(BUILD_DIR) \
-		-Dprefix=/usr \
+	dh_auto_configure -- \
 		-DBUILD_RARPD=false \
 		-DBUILD_RDISC=false \
 		-DBUILD_TFTPD=false \
@@ -22,7 +21,8 @@
 		-DBUILD_HTML_MANS=false \
 		-DBUILD_TRACEROUTE6=true \
 		-DNO_SETCAP_OR_SUID=true \
-		-DUSE_CRYPTO=gcrypt
+		-DUSE_CRYPTO=gcrypt \
+		-DUSE_GETTEXT=false
 
 override_dh_auto_test:
