=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 10), xsltproc, docbook-xsl,
+Maintainer: Noah Meyerhans <noahm@debian.org>
+Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev,
-  libgcrypt-dev, libidn11-dev, bash (>= 3), meson
+ libgcrypt-dev, libidn2-dev, bash (>= 3), meson, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/iputils.git
 Vcs-Browser: https://salsa.debian.org/debian/iputils
+Homepage: https://github.com/iputils/iputils/
 
 Package: iputils-ping
 Architecture: any
