## iputils 20211215

=== debian/changelog ===
iputils (3:20211215-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted ICMP Echo Reply packet
    - debian/patches/CVE-2025-47268: fix signed 64-bit integer overflow in
      RTT calculation in iputils_common.h, ping/ping_common.c.
    - debian/patches/CVE-2025-48964.patch: fix moving average rtt
      calculation in iputils_common.h, ping/ping.h, ping/ping_common.c.
    - CVE-2025-47268
    - CVE-2025-48964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jul 2025 07:51:44 -0400

iputils (3:20211215-1) unstable; urgency=medium

  * New upstream release (Closes: #971044, #699238)
  * Drop traceroute6 binary, which is no longer provided upstream
  * Add iproute2 to build-deps for upstream tests

 -- Noah Meyerhans <noahm@debian.org>  Fri, 04 Feb 2022 20:37:10 -0800
