## iputils 20221126

=== debian/changelog ===
iputils (3:20221126-1+deb12u1) bookworm; urgency=medium

  * Import upstream fix for incorrect ping receiving packets intended for other
    processes (Closes: #1040313)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 24 Sep 2024 13:00:36 -0400

iputils (3:20221126-1) unstable; urgency=medium

  * New upstream version. See /usr/share/doc/iputils-*/changelog.gz for
    detailed changes.

 -- Noah Meyerhans <noahm@debian.org>  Sat, 26 Nov 2022 23:29:56 -0800
