=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
- docbook-xsl-ns, libcap-dev,
+ docbook-xsl-ns, libcap-dev, iproute2,
  libgcrypt-dev, libidn2-dev, bash (>= 3), meson, pkg-config
 Vcs-Git: https://salsa.debian.org/debian/iputils.git
 Vcs-Browser: https://salsa.debian.org/debian/iputils
