=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-DBUILD_RARPD=false \
-		-DBUILD_RDISC=false \
-		-DBUILD_NINFOD=false \
 		-DBUILD_HTML_MANS=false \
 		-DNO_SETCAP_OR_SUID=true \
 		-DUSE_GETTEXT=false
