## iputils 20240117

=== debian/changelog ===
iputils (3:20240117-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted ICMP Echo Reply packet
    - debian/patches/CVE-2025-47268: fix signed 64-bit integer overflow in
      RTT calculation in iputils_common.h, ping/ping_common.c.
    - debian/patches/CVE-2025-48964.patch: fix moving average rtt
      calculation in iputils_common.h, ping/ping.h, ping/ping_common.c.
    - CVE-2025-47268
    - CVE-2025-48964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jul 2025 07:51:16 -0400

iputils (3:20240117-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:00:16 +0200

iputils (3:20240117-1) unstable; urgency=medium

  * New upstream version. See /usr/share/doc/iputils-*/changelog.gz for
    full details.
  * Move ping to /usr for DEP17. (Closes: #711492, #1059916)
  * Update debian/watch (Thanks Petr Vorel <pvorel@suse.cz) (Closes: #1059728)
  * Update debian/copyright to correct Upstream-Contact field
  * Stop falling back to setuid binaries for raw socket access
  * debian/rules: Ensure build-dir is removed in clean

 -- Noah Meyerhans <noahm@debian.org>  Sun, 11 Feb 2024 11:16:58 -0800
