=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev, iproute2,
