## iputils 20240905

=== debian/changelog ===
iputils (3:20240905-3ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 15:16:58 +0000

iputils (3:20240905-3ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: DoS via crafted ICMP Echo Reply packet
    - debian/patches/CVE-2025-47268: fix signed 64-bit integer overflow in
      RTT calculation in iputils_common.h, ping/ping_common.c.
    - debian/patches/CVE-2025-48964.patch: fix moving average rtt
      calculation in iputils_common.h, ping/ping.h, ping/ping_common.c.
    - CVE-2025-47268
    - CVE-2025-48964

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 24 Jul 2025 07:45:14 -0400

iputils (3:20240905-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112014). Remaining changes:
    - d/iputils-pings.postinst: Revert the setcap removal on ping as the
      current solution based on net.ipv4.ping_group_range doesn't work by
      default in containers. (LP #2089938)

 -- Ankush Pathak <ankush.pathak@canonical.com>  Mon, 09 Jun 2025 13:31:16 +0530

iputils (3:20240905-3) unstable; urgency=medium

  * clockdiff: Fix setcap invocation (Closes: #1103864)
  * Update NEWS entry for ICMP_PROTO datagram socket use

 -- Noah Meyerhans <noahm@debian.org>  Tue, 22 Apr 2025 07:36:44 -0400

iputils (3:20240905-2) unstable; urgency=medium

  * Add autopkgtests
  * Add a debian/NEWS entry describing the use of ICMP_PROTO sockets

 -- Noah Meyerhans <noahm@debian.org>  Mon, 21 Apr 2025 07:50:37 -0400

iputils (3:20240905-1ubuntu1) plucky; urgency=medium

  * Revert the setcap removal on ping as the current solution based on
    net.ipv4.ping_group_range doesn't work by default in containers.
    (LP: #2089938)

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 12 Dec 2024 17:03:29 +0100

iputils (3:20240905-1) unstable; urgency=medium

  * New upstream release
  * Drop unused libgcrypt-dev builddep (Closes: #1071869)
  * ping: Add Recommends on linux-sysctl-defaults and stop setting additional
    capabilities (Closes: #1008281)
  * Replace pkg-config with pkgconf in build-deps
  * Set cap_sys_nice in iputils-clockdiff (Closes: #991252)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 24 Sep 2024 12:24:14 -0400
