=== debian/tests/control ===
Tests: ping-localhost
Depends: iputils-ping
Restrictions: needs-sudo,isolation-container,skippable
