=== debian/watch ===
# based on https://salsa.debian.org/printing-team/cups/-/blob/debian/main/debian/watch?ref_type=heads
version=4
opts="searchmode=plain" \
https://api.github.com/repos/iputils/@PACKAGE@/releases \
https://github.com/iputils/@PACKAGE@/releases/download/?[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
