## iputils 20250605

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+.PHONY: all clean install dist check
+
 all:
 	ninja -C builddir
