=== debian/changelog ===
iputils (3:20250605-1) unstable; urgency=medium

  * New upstream release
    - Fix CVE-2025-47268: Signed 64-bit integer overflow in RTT calculation
      (Closes: #1104746)
    - Fix CVE-2025-48964: Integer Overflow in ping Statistics via Zero
      Timestamp (Closes: #1109728)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 24 Jul 2025 08:58:19 -0400
