=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: iputils
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Noah Meyerhans <noahm@debian.org>
+Maintainer: Noah Meyerhans <noahm@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 13), xsltproc, docbook-xsl,
  docbook-xsl-ns, libcap-dev, iproute2,
